<?php

namespace App\Models\Core\Auth;

use Illuminate\Database\Eloquent\Model;

class UserClient extends Model
{
    protected $connection = 'system';

    protected $guarded = [];

    public $timestamps = false;

    public function client()
    {
        return $this->belongsTo('App\Models\Partner\Client');
    }

    public function user()
    {
        return $this->belongsTo('App\Models\User');
    }

    public function scopeByClient($query, $id)
    {
        return $query->where('client_id', $id);
    }

    public function scopeByUser($query, $id)
    {
        return $query->where('user_id', $id);
    }
}
